=== debian/changelog ===
stringtie (1.3.5+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #924101)
    - Fixing accidentally omitted binary

 -- Steffen Moeller <moeller@debian.org>  Sat, 09 Mar 2019 15:07:37 +0100
