=== debian/control ===
Source: stringtie
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11),
 libbam-dev,
 libhts-dev,
 help2man
Standards-Version: 4.3.0
Homepage: http://ccb.jhu.edu/software/stringtie/
Vcs-Browser: https://salsa.debian.org/med-team/stringtie
Vcs-Git: https://salsa.debian.org/med-team/stringtie.git

Package: stringtie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: assemble short RNAseq reads to transcripts
 The abundance of transcripts in a human tissue sample 
 can be determined by RNA sequencing. The exact sequence
 sampled may be random, depending on the technology used.
 And it may be short, i.e. shorter than the transcript.
 At some point, many shorter reads need to be assembled
 to the model the complete transcripts.
 .
 StringTie knows how to assemble of RNA-Seq into potential
 transcripts without the need of a reference genome and
 provides a quantification also of the splice variants.
