=== debian/changelog ===
stringtie (1.3.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Remove trailing whitespace in debian/control
  * DEP3

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 22:19:22 +0200
