=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12~),
  libbam-dev,
  libhts-dev,
  help2man
@@ -16,7 +16,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: assemble short RNAseq reads to transcripts
- The abundance of transcripts in a human tissue sample 
+ The abundance of transcripts in a human tissue sample
  can be determined by RNA sequencing. The exact sequence
  sampled may be random, depending on the technology used.
  And it may be short, i.e. shorter than the transcript.
