=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -I/usr/include/bamtools/api/
export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic -I/usr/include/bamtools/api/
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@


override_dh_auto_install:
	help2man ./stringtie -n StringTie -s 1 -o  debian/stringtie.1
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/stringtie.1
