## stringtie 2.0.4+ds

=== debian/changelog ===
stringtie (2.0.4+ds-3) unstable; urgency=medium

  * Team upload.
  * Stop building on any-i386, as htslib is not built there.

 -- Andrius Merkys <merkys@debian.org>  Fri, 06 Dec 2019 02:51:36 -0500

stringtie (2.0.4+ds-2) unstable; urgency=medium

  * Team upload.
  * Disabling tests, as they require network access.

 -- Andrius Merkys <merkys@debian.org>  Tue, 03 Dec 2019 05:14:02 -0500

stringtie (2.0.4+ds-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Repository.
  * Adapted clean-up after build

 -- Steffen Moeller <moeller@debian.org>  Fri, 29 Nov 2019 12:26:46 +0100
