=== debian/control ===
Source: stringtie
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libbam-dev,
               libhts-dev,
               help2man
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/stringtie
Vcs-Git: https://salsa.debian.org/med-team/stringtie.git
Homepage: http://ccb.jhu.edu/software/stringtie/

Package: stringtie
Architecture: any-amd64 arm64 armel armhf mips mips64el mipsel ppc64el s390x alpha hppa ia64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: assemble short RNAseq reads to transcripts
 The abundance of transcripts in a human tissue sample
 can be determined by RNA sequencing. The exact sequence
 sampled may be random, depending on the technology used.
 And it may be short, i.e. shorter than the transcript.
 At some point, many shorter reads need to be assembled
 to the model the complete transcripts.
 .
 StringTie knows how to assemble of RNA-Seq into potential
 transcripts without the need of a reference genome and
 provides a quantification also of the splice variants.
