## stringtie 2.0.5+ds

=== debian/changelog ===
stringtie (2.0.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.5+ds

 -- Andrius Merkys <merkys@debian.org>  Thu, 12 Dec 2019 08:41:36 -0500
