=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 %:
 	dh $@
 
+# Disabling tests, as they require network access. In future, a multiple
+# upstream tarball could be created to pull in the required test files.
+override_dh_auto_test:
 
 override_dh_auto_install:
 	help2man ./stringtie -n StringTie -s 1 -o  debian/stringtie.1
@@ -18,3 +21,5 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f debian/stringtie.1
+	rm -fr test_data
+	rm -f SuperReads_RNA/global-1/SuperReadsR/all_tests
