## stringtie 2.0.6+ds

=== Makefile ===
--- 
+++ 
@@ -37,13 +37,6 @@
  WINDOWS=1
 endif
 
-# MinGW32 GCC 4.5 link problem fix
-#ifdef WINDOWS
-ifneq (,$(findstring 4.5.,$(shell ${CXX} -dumpversion)))
- STATIC_CLIB=1
-endif
-#endif
-
 # Misc. system commands
 ifdef WINDOWS
  RM = del /Q
@@ -61,7 +54,8 @@
 # Non-windows systems need pthread
 ifndef WINDOWS
  ifndef NOTHREADS
-   LIBS += -lpthread
+   LIBS := -pthread ${LIBS}
+   BASEFLAGS += -pthread
  endif
 endif
 
@@ -77,26 +71,35 @@
   CXXFLAGS := $(if $(CXXFLAGS),$(CXXFLAGS),-g -O3)
   CXXFLAGS += -DNDEBUG $(BASEFLAGS)
 else
-  ifneq (,$(filter %memcheck %memdebug, $(MAKECMDGOALS)))
+  ifneq (,$(filter %memcheck %memdebug %tsan %tcheck %thrcheck, $(MAKECMDGOALS)))
      #use sanitizer in gcc 4.9+
-     MEMCHECK_BUILD=1
      GCCVER49 := $(shell expr `${CXX} -dumpversion | cut -f1,2 -d.` \>= 4.9)
      ifeq "$(GCCVER49)" "0"
        $(error gcc version 4.9 or greater is required for this build target)
      endif
      CXXFLAGS := $(if $(CXXFLAGS),$(CXXFLAGS),-g -O0)
-     CXXFLAGS += -fno-omit-frame-pointer -fsanitize=undefined -fsanitize=address $(BASEFLAGS)
+     SANLIBS :=
+     ifneq (,$(filter %tsan %tcheck %thrcheck, $(MAKECMDGOALS)))
+        # thread sanitizer only (incompatible with address sanitizer)
+        CXXFLAGS += -fno-omit-frame-pointer -fsanitize=thread -fsanitize=undefined $(BASEFLAGS)
+        SANLIBS := -ltsan
+     else
+        # address sanitizer
+        CXXFLAGS += -fno-omit-frame-pointer -fsanitize=undefined -fsanitize=address $(BASEFLAGS)
+        SANLIBS := -lasan
+     endif
      ifeq "$(GCCVER5)" "1"
        CXXFLAGS += -fsanitize=bounds -fsanitize=float-divide-by-zero -fsanitize=vptr
        CXXFLAGS += -fsanitize=float-cast-overflow -fsanitize=object-size
        #CXXFLAGS += -fcheck-pointer-bounds -mmpx
      endif
      CXXFLAGS += -DDEBUG -D_DEBUG -DGDEBUG -fno-common -fstack-protector
-     LIBS := -lasan -lubsan -ldl $(LIBS)
+     LIBS := ${SANLIBS} -lubsan -ldl ${LIBS}
   else
      #just plain debug build
      DEBUG_BUILD=1
-     CXXFLAGS := $(if $(CXXFLAGS),$(CXXFLAGS),-ggdb -g3 -O0 -fvar-tracking-assignments -fno-omit-frame-pointer)
+     CXXFLAGS := $(if $(CXXFLAGS),$(CXXFLAGS),-g -O0)
+     #CXXFLAGS := $(if $(CXXFLAGS),$(CXXFLAGS),-ggdb -g3 -O0 -fvar-tracking-assignments -fno-omit-frame-pointer)
      ifneq (, $(findstring darwin, $(DMACH)))
         CXXFLAGS += -gdwarf-3
      endif
@@ -111,7 +114,7 @@
 endif
 
 ifdef STATIC_CLIB
- LDFLAGS += -static-libstdc++ -static-libgcc
+ LDFLAGS += -static-libgcc -static-libstdc++
 endif
 
 ifdef DEBUG_BUILD
@@ -138,7 +141,7 @@
 OBJS += rlink.o tablemaker.o tmerge.o
 
 all release static debug: stringtie${EXE}
-memcheck memdebug: stringtie${EXE}
+memcheck memdebug tsan tcheck thrcheck: stringtie${EXE}
 memuse memusage memtrace: stringtie${EXE}
 nothreads: stringtie${EXE}
 
@@ -153,7 +156,8 @@
 	${LINKER} ${LDFLAGS} -o $@ ${filter-out %.a %.so, $^} ${LIBS}
 	@echo
 	${DBG_WARN}
-
+test demo tests: stringtie${EXE}
+	@./run_tests.sh
 .PHONY : clean cleanall cleanAll allclean
 
 # target for removing all object files
