=== debian/changelog ===
stringtie (2.0.6+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.6+ds
  * Excluding SuperReads_RNA/, as it is not used, and contains a lot of
    files with unaccounted for licensing.
  * The source is licensed under Expat.
  * Building on all architectures.

 -- Andrius Merkys <merkys@debian.org>  Mon, 23 Dec 2019 10:25:43 -0500
