## stringtie 2.1.1+ds

=== debian/changelog ===
stringtie (2.1.1+ds-2) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Improve cross building: Pass LINKER. (Closes: #950969)

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 09 Feb 2020 07:51:25 +0100

stringtie (2.1.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.1+ds

 -- Andrius Merkys <merkys@debian.org>  Fri, 07 Feb 2020 10:33:31 -0500
