=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
                libbam-dev,
                libhts-dev,
                help2man
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/stringtie
 Vcs-Git: https://salsa.debian.org/med-team/stringtie.git
 Homepage: http://ccb.jhu.edu/software/stringtie/
 
 Package: stringtie
-Architecture: any-amd64 arm64 armel armhf mips mips64el mipsel ppc64el s390x alpha hppa ia64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: assemble short RNAseq reads to transcripts
