=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,15 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	dh_auto_build -- 'LINKER=$$(CXX)'
+
 # Disabling tests, as they require network access. In future, a multiple
 # upstream tarball could be created to pull in the required test files.
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "Disabling tests, as they require network access."
+endif
 
 override_dh_auto_install:
 	help2man ./stringtie -n StringTie -s 1 -o  debian/stringtie.1
