## stringtie 2.1.2+ds

=== debian/changelog ===
stringtie (2.1.2+ds-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Removed "debian uupdate" from d/watch

 -- Steffen Moeller <moeller@debian.org>  Mon, 27 Apr 2020 15:44:50 +0200
