=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/stringtie
 Vcs-Git: https://salsa.debian.org/med-team/stringtie.git
 Homepage: http://ccb.jhu.edu/software/stringtie/
+Rules-Requires-Root: no
 
 Package: stringtie
 Architecture: any
