## stringtie 2.1.4+ds

=== debian/changelog ===
stringtie (2.1.4+ds-4) unstable; urgency=medium

  * Do not run on armhf

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 14 Nov 2020 13:38:57 +0530

stringtie (2.1.4+ds-3) unstable; urgency=medium

  * Team Upload.
  * Fix test for non-amd64

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 03 Nov 2020 00:04:56 +0530

stringtie (2.1.4+ds-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 08:36:50 +0100

stringtie (2.1.4+ds-1) unstable; urgency=medium

  * Team Upload.
  [ Steffen Moeller ]
  * New upstream version
  * Shortened short description of examples
  * upstream suggests cufflinks for post-processing

  [ Andreas Tille ]
  * Remove non-informational entry from changelog
  * Fix comparison file for test output
  * More comparison file fixes

  [ Nilesh Patra ]
  * Remove data and extra binary - use multi-orig tarball instead
  * New upstream version 2.1.4+ds
  * Fix tests

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 01 Nov 2020 22:15:22 +0530

stringtie (2.1.2+ds-2) unstable; urgency=medium

  * Team Upload.
  * Add binary: stringtie-examples
  * Add autopkgtests
  * Install relevant examples
  * s/http/https/ debian/control
  * compat version: 13

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 23 Aug 2020 12:37:28 +0530
