=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: stringtie
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>, Nilesh Patra <npatra974@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libbam-dev,
                libhts-dev,
                help2man
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/stringtie
 Vcs-Git: https://salsa.debian.org/med-team/stringtie.git
-Homepage: http://ccb.jhu.edu/software/stringtie/
+Homepage: https://ccb.jhu.edu/software/stringtie/
 Rules-Requires-Root: no
 
 Package: stringtie
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Recommends: stringtie-examples
+Suggests: cufflinks
 Description: assemble short RNAseq reads to transcripts
  The abundance of transcripts in a human tissue sample
  can be determined by RNA sequencing. The exact sequence
