=== debian/tests/control ===
Tests: run-unit-test
Depends: @, samtools
Restrictions: allow-stderr
Architecture: amd64 arm64 ppc64el i386
