=== debian/changelog ===
stringtie (2.1.6+ds-1) unstable; urgency=medium

  * New upstream version 2.1.6+ds
  * Declare compliance with policy 4.5.1
  * d/copyright: Minor Fix license name
  * Mark d/p/Makefile.patch as Forwarded: not-needed
  * Do not generate manpage at build, use maintainer manpage
    (This is done in order to make build cross-buildable)
  * d/p/hardening.patch: Add CPPFLAGS to compilation flags as
    hardening step (Fixes blhc)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 19:34:16 +0530
