=== debian/changelog ===
stringtie (2.2.1+ds-2) unstable; urgency=medium

  * Remove libdeflate refs for now

 -- Nilesh Patra <nilesh@debian.org>  Sat, 19 Feb 2022 22:55:21 +0530

stringtie (2.2.1+ds-1) unstable; urgency=medium

  * Exclude htslib in d/copyright
  * New upstream version 2.2.1+ds
  * Add B-D on libdeflate-dev, libbzip2-dev
  * d/t/run-unit-test: Re-use code from run_tests.sh script
    instead of home-grown stuff
  * Adapt patches to newer release

 -- Nilesh Patra <nilesh@debian.org>  Sat, 19 Feb 2022 14:56:01 +0000
