=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                libbam-dev,
                libhts-dev,
+               libbz2-dev,
                help2man
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/stringtie
