=== debian/rules ===
--- 
+++ 
@@ -20,12 +20,7 @@
 	echo "Disabling tests, as they require network access."
 endif
 
-override_dh_auto_install:
-	help2man ./stringtie -n StringTie -s 1 -o  debian/stringtie.1
-	dh_auto_install
-
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f debian/stringtie.1
 	rm -fr test_data
 	rm -f SuperReads_RNA/global-1/SuperReadsR/all_tests
