=== debian/watch ===
version=4
opts="dversionmangle=auto,oversionmangle=s/$/+ds/,repack" \
http://ccb.jhu.edu/software/stringtie/ dl/stringtie-([\d\.]+)\.tar\.gz
