## stringtie 3.0.3+ds

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 BASEFLAGS := -Wall -Wextra ${INCDIRS} -fsigned-char -D_FILE_OFFSET_BITS=64 \
 -D_LARGEFILE_SOURCE -std=c++11 -fno-strict-aliasing -fno-exceptions -fno-rtti
 #for gcc 8+ add: -Wno-class-memaccess
-GCCVER5 := $(shell expr `${CXX} -dumpversion | cut -f1 -d.` \>= 5)
-ifeq "$(GCCVER5)" "1"
+GCCGTE5 := $(shell expr `${CXX} -dumpversion | cut -f1 -d.` \>= 5)
+ifeq "$(GCCGTE5)" "1"
  BASEFLAGS += -Wno-implicit-fallthrough
 endif
 
@@ -82,10 +82,8 @@
   CXXFLAGS += -DNDEBUG $(BASEFLAGS)
 else
   ifneq (,$(filter %memcheck %memdebug %tsan %tcheck %thrcheck, $(MAKECMDGOALS)))
-     #use sanitizer in gcc 4.9+
-     GCCVER49 := $(shell expr `${CXX} -dumpversion | cut -f1,2 -d.` \>= 4.9)
-     ifeq "$(GCCVER49)" "0"
-       $(error gcc version 4.9 or greater is required for this build target)
+     ifneq "$(GCCGTE5)" "1"
+       $(error g++ version 5 or greater is required for this build target)
      endif
      CXXFLAGS := $(if $(CXXFLAGS),$(CXXFLAGS),-g -O0)
      SANLIBS :=
@@ -98,7 +96,7 @@
         CXXFLAGS += -fno-omit-frame-pointer -fsanitize=undefined -fsanitize=address $(BASEFLAGS)
         SANLIBS := -lasan
      endif
-     ifeq "$(GCCVER5)" "1"
+     ifeq "$(GCCGTE5)" "1"
        CXXFLAGS += -fsanitize=bounds -fsanitize=float-divide-by-zero -fsanitize=vptr
        CXXFLAGS += -fsanitize=float-cast-overflow -fsanitize=object-size
        #CXXFLAGS += -fcheck-pointer-bounds -mmpx
@@ -156,7 +154,7 @@
 %.o : %.cpp
 	${CXX} ${CXXFLAGS} -c $< -o $@
 
-OBJS += rlink.o tablemaker.o tmerge.o
+OBJS += bundle.o rlink.o tablemaker.o tmerge.o
 
 all release static static-cpp debug: stringtie${EXE}
 memcheck memdebug tsan tcheck thrcheck: stringtie${EXE}
@@ -165,7 +163,8 @@
 nothreads: stringtie${EXE}
 
 stringtie.o : $(GDIR)/GBitVec.h $(GDIR)/GHashMap.hh $(GDIR)/GSam.h
-rlink.o : rlink.h tablemaker.h $(GDIR)/GSam.h $(GDIR)/GBitVec.h
+rlink.o : rlink.h tablemaker.h bundle.h $(GDIR)/GSam.h $(GDIR)/GBitVec.h
+bundle.o : bundle.h rlink.h tablemaker.h $(GDIR)/GSam.h
 tmerge.o : rlink.h tmerge.h
 tablemaker.o : tablemaker.h rlink.h
 
@@ -181,7 +180,7 @@
 	${DBG_WARN}
 test demo tests: stringtie${EXE}
 	@./run_tests.sh
-.PHONY : clean cleanall cleanAll allclean
+.PHONY : clean clean-htslib
 
 # target for removing all object files
 
@@ -189,6 +188,10 @@
 clean:
 	${RM} stringtie${EXE} stringtie.o*  $(OBJS)
 	${RM} core.*
+clean-all: clean
+	cd ${HTSLIB} && ./build_lib.sh clean
+clean-htslib:
+	cd ${HTSLIB} && ./build_lib.sh clean
 ##allclean cleanAll cleanall:
 ##	cd ${BAM} && make clean
 ##	${RM} stringtie${EXE} stringtie.o* $(OBJS)
