=== debian/changelog ===
stringtie (3.0.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.3+ds
  * d/watch: update to v5 and point to Github.
  * d/copyright: document debian-tests-data component.
  * d/patches/*: unfuzz all patches.
  * Makefile.patch: normalize Last-Update timestamp.
  * d/control: drop redundant Priority: optional.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.3.
  * d/t/run-unit-test: update from run_tests.sh.
  * d/control: drop recommending stringtie-examples. (Closes: #1116097)

 -- Étienne Mollier <emollier@debian.org>  Mon, 05 Jan 2026 20:34:13 +0100

stringtie (2.2.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Add prepDE.py3 (renamed to prepDE.py) to /usr/bin
    Closes: #1061576
  * Depends: python3
  * Lintian-overrides: script-with-language-extension
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 21:34:48 +0100
