=== debian/control ===
--- 
+++ 
@@ -1,24 +1,22 @@
 Source: stringtie
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libbam-dev,
                libhts-dev,
                libbz2-dev,
                help2man
-Standards-Version: 4.5.1
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/stringtie
 Vcs-Git: https://salsa.debian.org/med-team/stringtie.git
 Homepage: https://ccb.jhu.edu/software/stringtie/
-Rules-Requires-Root: no
 
 Package: stringtie
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: stringtie-examples
+         ${misc:Depends},
+         python3
 Suggests: cufflinks
 Description: assemble short RNAseq reads to transcripts
  The abundance of transcripts in a human tissue sample
