=== debian/watch ===
Version: 5

Template: Github
Owner: gpertea
Project: stringtie
Dversionmangle: auto
Oversionmangle: s/$/+ds/
Repack: yes

Component: debian-tests-data
Source: https://github.com/gpertea/stringtie/blob/master/tests/README.md
Matching-Pattern: https://github.com/gpertea/stringtie/raw/test_data/tests_@ANY_VERSION@@ARCHIVE_EXT@
Search-Mode: plain
Dversionmangle: auto
Oversionmangle: s/$/+ds/
Repack: yes
